=== debian/changelog ===
gnome-split (1.1-1) unstable; urgency=low

  * New upstream release.
  * Build against java-gnome 4.1.1.
  * debian/rules: Fix launcher script to use /usr/lib/jni.
  * debian/patches/02_makefile.patch: Fix makefile rule for mime type.

 -- Guillaume Mazoyer <respawneral@gmail.com>  Sun, 07 Aug 2011 18:26:09 +0200

gnome-split (0.7-1) unstable; urgency=low

  * Initial release (Closes: #636253)

 -- Guillaume Mazoyer <respawneral@gmail.com>  Mon, 01 Aug 2011 22:36:41 +0200
