=== debian/control ===
Source: gnome-split
Section: gnome
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Guillaume Mazoyer <respawneral@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               default-jdk,
               libdbus-java,
               libjava-gnome-java (>= 4.1.1)
Standards-Version: 3.9.2
Homepage: http://gnome-split.org/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/gnome-split/

Package: gnome-split
Architecture: all
Depends: default-jre | java6-runtime,
         libdbus-java,
         libjava-gnome-java (>= 4.1.1),
         ${misc:Depends}
Description: GNOME Split - File splitter for GNOME desktop
 Tool that allows you to split files and merge them back. It is written in Java
 and uses a GTK+ user interface (thanks to the java-gnome project). The goal is
 to offer a native implementation of similar projects which can handle multiple
 file formats (e.g. Xtremsplit).
