=== debian/watch ===
version=3
http://gnome-split.org/releases/gnome-split-([\d\.]+)\.tar\.bz2 debian
