## gnome-split 1.2

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	/bin/echo
 	exit 1
 
-CLASSPATH=$(JAVA_GNOME_JAR):$(DBUS_JAVA_JAR):$(DEBUG_DISABLE_JAR):$(DEBUG_ENABLE_JAR):$(HEXDUMP_JAR):$(UNIX_SOCKET)
+CLASSPATH=$(JAVA_GNOME_JAR)
 
 SOURCES_DIST=$(shell find src/ -name '*.java')
 TRANSLATIONS=$(shell find po/  -name '*.po' | sed -e 's/po\/\(.*\)\.po/share\/locale\/\1\/LC_MESSAGES\/gnome-split\.mo/g')
@@ -94,6 +94,10 @@
 	-mkdir -p $@
 
 $(DESTDIR)$(PREFIX)/share/applications:
+	@/bin/echo -e "MKDIR\t$@/"
+	-mkdir -p $@
+
+$(DESTDIR)$(PREFIX)/share/mime/packages:
 	@/bin/echo -e "MKDIR\t$@/"
 	-mkdir -p $@
