=== debian/changelog ===
gnome-split (1.2-1) unstable; urgency=low

  * New upstream release.
  * Build against java-gnome 4.1.3.
  * debian/control:
    - Remove libdbus-java dependency.
    - Update Standards-Version to 3.9.5.
  * debian/watch: use github with Githubredir for uscan.
  * debian/patches/02_makefile.patch: remove useless patch (fixed upstream).

 -- Guillaume Mazoyer <respawneral@gmail.com>  Fri, 23 May 2014 19:26:38 +0200
