=== debian/rules ===
#!/usr/bin/make -f


override_dh_auto_configure:
	./configure prefix=/usr libdir=/usr/lib/jni jardir=/usr/share/java

%:
	dh $@
