=== debian/watch ===
version=3
http://githubredir.debian.net/github/respawner/gnome-split/ gnome-split-(.*).tar.gz
